
<div id="top_of_dialog">
	<strong>{{ctrl.title}}</strong>
</div>

<div style="margin-top: 15px">

	<table class="table table-bordered listViewEntriesTable">
		<thead>
			<tr>
				<th class="blockHeader" style="width:50%">
					<input style="width:40%" placeholder="Inserire il numero del PM da ricercare" class="inputDialog" ng-model="numeroPM">&nbsp;<button class="btn addButton" ng-click="visiblePM(numeroPM)"><span class="glyphicon glyphicon-search"></span></button>
				</th>
				<th class="blockHeader">ID Evento</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td><input class="inputDialog marginLeft10px" ng-model="numPM" readonly>
					<select style="width:15%" ng-show="showVociIncasso" ng-model="voceIncassoSelected" ng-options="voceIncasso for voceIncasso in listaVociIncasso">
					</select>
				</td>
				<td>{{evento}}</td>
			</tr>
		</tbody>
	</table>
</div>
&nbsp;
<div class="listViewTopMenuDiv noprint">
	<div class="listViewActionsDiv row-fluid">
		<!--  -->
		<span class="btn-toolbar span4"> <span class="btn-group">

		</span>
		</span>
		<!--  -->
		<!--  -->
		<span class="btn-toolbar span4"> <span
			class="customFilterMainSpan btn-group"
			style="text-align: center;">
				<div class="pageNumbers alignTop ">
					<span class="pageNumbersText"><strong> <!-- Titolo -->
					</strong></span>
				</div>
		</span>
		</span>
		<!--  -->
		<!--  -->
		<span class="span4 btn-toolbar">
			<div class="listViewActions pull-right">

				<div class="pageNumbers alignTop ">
					<span ng-show="ctrl.totRecords > 50">
						<span class="pageNumbersText" style="padding-right: 5px">
							Record da <strong>{{ctrl.page*50+1}}</strong> a <strong>{{(ctrl.page*50) + pmRicercati.length}}</strong> su <strong>{{ctrl.totRecords}}</strong>
					</span>
						<button title="Precedente" class="btn"
							id="listViewPreviousPageButton" type="button"
							ng-click="navigateToPreviousPage()"
							ng-show="ctrl.page > 0">
							<span class="glyphicon glyphicon-chevron-left"></span>
						</button>
						<button title="Successiva" class="btn"
							id="listViewNextPageButton" type="button"
							ng-click="navigateToNextPage()" ng-show="ctrl.page < ctrl.pageTot">
							<span class="glyphicon glyphicon-chevron-right"></span>
						</button>
					</span>
				</div>
			</div>
			<div class="clearfix"></div>
		</span>
		<!--  -->
	</div>
</div>

<div class="listViewEntriesDiv contents-bottomscroll">
	<div class="listViewActionsDiv row-fluid" ng-show="visiblePMRicercato">
		<table class="table table-bordered listViewEntriesTable">
			<thead>
				<tr class="listViewHeaders">
					<th class="blockHeader" colspan="12">Dettagli ricerca Programma Musicale</th>
				</tr>
				<tr>
					<th style="color:#888888">Contabilita</th>
					<th style="color:#888888">Voce Incasso</th>
					<th style="color:#888888">Permesso</th>
					<th style="color:#888888">Fattura</th>
					<th style="color:#888888">Reversale</th>
					<th style="color:#888888">Tipo Documento</th>
					<th style="color:#888888">Numero PM</th>
					<th style="color:#888888"></th>
				</tr>
			</thead>
			<tbody>
				<tr ng-click="valorizeIdPM(pmRicercato.idPM)" ng-repeat="pmRicercato in pmRicercati">
					<td>{{pmRicercato.contabilita}}</td>
					<td>{{pmRicercato.voceIncasso}}</td>
					<td>{{pmRicercato.numeroPermesso}}</td>
					<td>{{pmRicercato.numeroFattura}}</td>
					<td>{{pmRicercato.reversale}}</td>
					<td>{{pmRicercato.tipoDocumentoContabile}}</td>
					<td>{{pmRicercato.numProgrammaMusicale}}</td>
					<td><button class="btn addButton" ng-click="assignIdPM(pmRicercato.numProgrammaMusicale,pmRicercato.idProgrammaMusicale)"><span class="glyphicon glyphicon-ok"></span></button></td>
				</tr>
				<tr>
					<label class="muted pull-left marginLeft10px">Cliccando sul pulsante verrà usato l'id del programma musicale selezionato</label>
				</tr>
			</tbody>
		</table>
	</div>
</div>

<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
			
		</td>
		<td align="left">
			<button type="button" class="btn addButton" ng-click="cancel(ctrl.ngDialogId)">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Chiudi</strong>
			</button>
		</td>
		<td align="right">
			<button type="button" class="btn addButton" ng-click="save(user,idProgrammaMusicale,evento,voceIncassoSelected)">
				<span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;<strong>Ok</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
